%define anolis_release 1
Name:           dbxtool
Version:        8
Release:        %{anolis_release}%{?dist}
Summary:        Secure Boot DBX updater
License:        GPLv2
URL:            https://github.com/vathpela/dbxtool
ExclusiveArch:  i386 x86_64 aarch64
BuildRequires:  gcc
BuildRequires:  popt-devel git systemd
BuildRequires:  efivar-devel >= 31-3
BuildRequires: make
Requires:       efivar-libs >= 33-3
Requires(post): systemd
Requires(preun):systemd
Source0:        https://github.com/vathpela/dbxtool/releases/download/dbxtool-%{version}/dbxtool-%{version}.tar.bz2
Patch0000:      %{name}-8-ccldflags.patch
Patch0001:      0001-fix-definition-error.patch

%description
This package contains DBX updates for UEFI Secure Boot.

%prep
%autosetup -p1

%build
make PREFIX=%{_prefix} LIBDIR=%{_libdir} CFLAGS="$RPM_OPT_FLAGS" CCLDFLAGS="%{__global_ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/%{_libdir}
make PREFIX=%{_prefix} LIBDIR=%{_libdir} INSTALLROOT=%{buildroot} \
        install
rm -f %{buildroot}/%{_docdir}/%{name}/COPYING

%post
%systemd_post dbxtool.service

%preun
%systemd_preun dbxtool.service

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/dbxtool
%doc %{_mandir}/man1/*
%dir %{_datadir}/dbxtool/
%{_datadir}/dbxtool/*.bin
%{_unitdir}/dbxtool.service

%changelog
* Fri Mar 11 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 8-1
- init from upstream 8

